## ros-noetic-catch-ros 0.5.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.4)
project(catch_ros)

find_package(catkin REQUIRED COMPONENTS
	roscpp
)

find_package(Boost REQUIRED COMPONENTS filesystem)

catkin_package(
	INCLUDE_DIRS include
	CATKIN_DEPENDS roscpp
	CFG_EXTRAS catch.cmake
)

include_directories(include ${catkin_INCLUDE_DIRS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_library(catch_ros_standalone
	src/standalone_main.cpp
)
target_link_libraries(catch_ros_standalone
	${Boost_LIBRARIES}
)

add_library(catch_ros_rostest
	src/rostest_main.cpp
)
target_link_libraries(catch_ros_rostest
	${Boost_LIBRARIES}
)

install(FILES src/meta_info.cpp DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS catch_ros_standalone catch_ros_rostest
	LIBRARY DESTINATION ${CATKIN_GLOBAL_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-catch-ros (0.5.0-2focal) focal; urgency=high

  * Update Catch to version v2.13.7 (PR #15)
  * Update CMakeLists.txt to pass catkin_lint (PR #14)
  * Contributors: Jorge Nicho, Martin Jansa, Max Schwarz, augustinmanecy, sven-herrmann

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 19 Aug 2021 22:00:00 -0000

ros-noetic-catch-ros (0.4.0-2focal) focal; urgency=high

  * cmake: increase minimum version to 3.4 to silence CMP0048 warning
  * rostest_main: handle weird rostest behavior on retries
  * [reporter] makes tests and failure from test-cases instead of assertions
  * Contributors: Max Schwarz, Naveed Usmani

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-catch-ros (0.3.0-2focal) focal; urgency=high

  * cmake: catch_add_rostest() add new target as dependency of 'tests' target
    (issue: #8, PR: #9)
  * README.md: add CATCH_CONFIG_MAIN hint (issue: #7)
  * README: update link to the catch repo
  * updated catch to 2.4.2 (PR: #6)
  * ros_junit_reporter: fix warnings
  * Contributors: Max Schwarz, Mez Gebre

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 01 Jan 2019 23:00:00 -0000

ros-noetic-catch-ros (0.2.0-2focal) focal; urgency=high

  * adapt ROSReporter to Catch2
  * upgrade to Catch v2.2.2
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Mon, 07 May 2018 22:00:00 -0000

ros-noetic-catch-ros (0.1.2-2focal) focal; urgency=high

  * cmake: fix meta_info.cpp compilation for install space
  * rostest_main: include ROS node name in report
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 02 Nov 2017 23:00:00 -0000

ros-noetic-catch-ros (0.1.1-2focal) focal; urgency=high

  * actually install header files
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 25 Oct 2016 22:00:00 -0000

ros-noetic-catch-ros (0.1.0-2focal) focal; urgency=high

  * initial proper release
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 25 Oct 2016 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-catch-ros
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@ais.uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-catch-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-roscpp
Description: ROS integration for the Catch unit test framework
